Skip to main content

Get Wallet Transactions API

Overview

Retrieves transaction history ledger for a company wallet with pagination.

  • Endpoint: /api/wallet/transactions
  • Method: POST

Request Body Schema

FieldTypeRequiredDescription
companyIdString (UUID)YesTarget company ID
pageNumberNoPage number (Default: 1)
limitNumberNoPage limit (Default: 10)

Request Body Example

{
"companyId": "comp_12345678",
"page": 1,
"limit": 10
}

Response Example (200 OK)

{
"success": true,
"data": {
"transactions": [
{
"id": "txn_88990011",
"type": "DEBIT",
"amount": 20160.00,
"balanceAfter": 579840.00,
"description": "Hotel Booking Payment",
"createdAt": "2026-09-01T14:30:00.000Z"
}
],
"pagination": { "totalCount": 1, "page": 1, "limit": 10, "totalPages": 1 }
},
"message": "Wallet transactions fetched successfully"
}